Retrieve a supplier by ID
curl --request GET \
--url https://api.zivio.net/api/v3/suppliers/{id} \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/suppliers/{id}"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/suppliers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "77",
"name": "Company Inc",
"description": "A detailed biography of the supplier.",
"headline": "Proven track record in medical procurement",
"email": "jack_jones@companyinc.com",
"active": "true",
"vetting_status": "PASSED",
"tax_number": "9876543234",
"tax_registered": "true",
"cis_contractor": "true",
"payment_terms_in_days": "30",
"duns_number": "12345678910",
"linkedin_url": "https://www.linkedin.com/2342342",
"onboarding_template_name": "Sole Trader Onboarding",
"invited_by": {
"id": "66",
"first_name": "Lorna",
"last_name": "Lawless",
"email": "lorna@example.com",
"org_name": "Example Org",
"org_id": "186",
"business_unit": "Resident Services",
"division": "Environment & Streetscene",
"department": "Housing",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "true"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"badges": [
{
"id": "1",
"name": "Badge 1"
}
],
"primary_address": {
"id": "326",
"line1": "326",
"line2": "Westbourne Grove",
"city": "Brighton",
"region": "East Sussex",
"postcode": "BN99 9XX",
"country_code": "GB",
"formatted": "326, Westbourne Grove, Brighton, East Sussex, BN99 9XX, United Kingdom"
},
"invoice_address": {
"id": "326",
"line1": "326",
"line2": "Westbourne Grove",
"city": "Brighton",
"region": "East Sussex",
"postcode": "BN99 9XX",
"country_code": "GB",
"formatted": "326, Westbourne Grove, Brighton, East Sussex, BN99 9XX, United Kingdom"
},
"admin_custom_fields": {
"key": "value"
},
"custom_field_detailed": {
"key": "key",
"value": "value"
},
"skills": [
{
"skill_id": 123,
"skill_slug": "computer-acquisitions",
"skill_name": "Computer Acquisitions",
"why": "10 years experience",
"precedence": 1
}
],
"company_registration_number": "123456789",
"website": "https://www.companyinc.com",
"supplier_risk_factors": [
{
"risk_factor_name": "Insurance Risk",
"risk_level_name": "RED",
"dated": "YYYY-MM-DD",
"effective_at": "2023-11-07T05:31:56Z",
"comments": "Please upload Professional Indemnity Insurance (minimum £1million) document. (26/07/2024)"
}
],
"bank_accounts": [
{
"id": "132",
"currency": "GBP",
"country_code": "GB",
"account_holder_name": "Organistation Ltd",
"account_holder_type": "Business",
"account_number": "****1234",
"sort_code": "123456",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"cis_rate": {
"id": "3",
"label": "Construction Industry Scheme Gross Payment",
"key": "cis_registered_contractors_deduction",
"rate": "20.0",
"country_code": "GB",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"archived": "false",
"custom_fields": {
"key": "value"
}
}
}Suppliers
Retrieve a supplier by ID
GET
/
suppliers
/
{id}
Retrieve a supplier by ID
Path Parameters
Response
ok
Example:
"77"
Example:
"Company Inc"
Example:
"A detailed biography of the supplier."
Example:
"Proven track record in medical procurement"
Example:
"jack_jones@companyinc.com"
Example:
"true"
Example:
"PASSED"
Example:
"9876543234"
Example:
"true"
Example:
"true"
Example:
"30"
Example:
"12345678910"
Example:
"https://www.linkedin.com/2342342"
Example:
"Sole Trader Onboarding"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"123456789"
Example:
"https://www.companyinc.com"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

